Summary:       A C++ Standard Library Implementation
Name:          STLport
Version:       5.2.1
Release:       2%{?dist}%{?pext}
License:       distributable
Group:         System Environment/Libraries
Source0:       http://downloads.sourceforge.net/stlport/%{name}-%{version}.tar.bz2
Patch0:        %{name}-5.2.1-build.patch
URL:           http://stlport.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Boris Fomitchev
BuildRequires: make >= 3.80

%description
STLport is a multiplatform C++ Standard Library implementation. It is a free,
open-source product, featuring standard (ISO/IEC 14882) compliance, advanced
techniques and optimizations for maximum efficiency, exception safety and
thread safety, important extensions like hash tables, singly-linked list and
ropes, and a power debug mode for runtime check of iterators and containers
usage.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the libraries and header files for
developing C++ software using %{name}.


%package       static
Summary:       Static libraries for %{name}
Group:         Development/Libraries
Requires:      %{name}-devel = %{version}-%{release}

%description   static
The %{name}-static package contains the statically linkable libraries for
%{name}.


%prep
%setup -q
%patch0 -p1


%build
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -Wno-attributes"

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--use-compiler-family=gcc

pushd build/lib
%{__make} %{?_smp_mflags} \
	depend

%{__make} %{?_smp_mflags} \
	all-static

%{__make} %{?_smp_mflags} \
	all-shared
popd


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_includedir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}

# Install headers
%{__cp} -rpd stlport ${RPM_BUILD_ROOT}%{_includedir}

# Install libraries
for TYPE in so so_g so_stlg; do
  pushd build/lib/obj/gcc/${TYPE}
  SUB="`echo ${TYPE} | cut -b4-`"

  %{__install} -m 0644 libstlport${SUB}.*a       ${RPM_BUILD_ROOT}%{_libdir}
  %{__install} -m 0755 libstlport${SUB}.so.?.?.? ${RPM_BUILD_ROOT}%{_libdir}

  %{__ln_s} libstlport${SUB}.so.?.?.? ${RPM_BUILD_ROOT}%{_libdir}/libstlport${SUB}.so
  popd
done


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc INSTALL* README doc/FAQ doc/README* doc/*.txt
%doc etc/ChangeLog* etc/*.{gif,txt}
%{_libdir}/libstlport*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/stlport
%{_libdir}/libstlport*.so

%files static
%defattr(-,root,root)
%{_libdir}/libstlport*.a


%changelog
* Fri Apr 19 2013 Peter Pramberger <peterpramb@member.fsf.org> - 5.2.1-2
- Splitted static libraries from devel package

* Fri Jan 02 2009 Peter Pramberger <peterpramb@member.fsf.org> - 5.2.1-1
- Upgrade version (5.2.1)

* Wed Oct 15 2008 Peter Pramberger <peterpramb@member.fsf.org> - 5.1.6-1
- New version (5.1.6)

* Wed Jul 16 2008 Peter Pramberger <peterpramb@member.fsf.org> - 5.1.5-1
- New version (5.1.5)

* Tue Oct 09 2007 peter.pramberger@member.fsf.org 5.1.4-4
- new version (5.1.4)

* Fri Jan 19 2007 peter.pramberger@member.fsf.org 5.1.0-4
- some spec file cleanups (x86_64 support)

* Tue Dec 26 2006 peter.pramberger@member.fsf.org 5.1.0-3
- new version (5.1.0)

* Tue Jul 18 2006 peter.pramberger@member.fsf.org
- created
